MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025790Open CASCADE[OCCT] OCCT:Codingpublic2015-02-04 10:152015-05-14 15:32
Reporterkgv 
Assigned Tobugmaster 
PrioritylowSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025790: Drop unimplemented method ShallowCopy() from TCollection_HSequence.cdl
DescriptionWithin patch for 0024805 method ShallowCopy() was removed from TCollection_HSequence.gxx but still defined in TCollection_HSequence.cdl.

See original post:
http://dev.opencascade.org/index.php?q=node/1054 [^]
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024805closedapn Eliminate unused static functions and methods: ShallowDump(), ShallowCopy(), STANDARD_TYPE(...) 

-  Notes
(0037042)
git (administrator)
2015-02-04 10:18

Branch CR25790 has been created by kgv.

SHA-1: ef728fb977e7c2398f4e139390f66fda2d99c971


Detailed log of new commits:

Author: kgv
Date: Wed Feb 4 10:18:23 2015 +0300

    0025790: Drop unimplemented method ShallowCopy() from TCollection_HSequence.cdl
(0037043)
kgv (developer)
2015-02-04 10:19

Please check compilation of the patch in branch CR25790.
Regression testing is not needed.
(0037070)
mkv (tester)
2015-02-04 15:18

Dear BugMaster,
Branch CR25790 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: ef728fb977e7c2398f4e139390f66fda2d99c971

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)
(0037488)
git (administrator)
2015-02-13 10:28

Branch CR25790 has been deleted by kgv.

SHA-1: ef728fb977e7c2398f4e139390f66fda2d99c971

- Related Changesets
occt: master 298fdbfb
Timestamp: 2015-02-04 07:18:23
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025790: Drop unimplemented method ShallowCopy() from TCollection_HSequence.cdl
mod - src/TCollection/TCollection_HSequence.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-04 10:15 kgv New Issue
2015-02-04 10:15 kgv Assigned To => kgv
2015-02-04 10:15 kgv Relationship added related to 0024805
2015-02-04 10:18 git Note Added: 0037042
2015-02-04 10:19 kgv Note Added: 0037043
2015-02-04 10:19 kgv Assigned To kgv => bugmaster
2015-02-04 10:19 kgv Status new => resolved
2015-02-04 10:19 kgv Status resolved => reviewed
2015-02-04 10:20 kgv Description Updated View Revisions
2015-02-04 10:43 kgv Priority normal => low
2015-02-04 13:15 mkv Assigned To bugmaster => mkv
2015-02-04 15:18 mkv Note Added: 0037070
2015-02-04 15:18 mkv Assigned To mkv => bugmaster
2015-02-04 15:18 mkv Status reviewed => tested
2015-02-04 15:18 mkv Test case number => Not needed
2015-02-06 15:38 bugmaster Changeset attached => occt master 298fdbfb
2015-02-06 15:38 bugmaster Status tested => verified
2015-02-06 15:38 bugmaster Resolution open => fixed
2015-02-13 10:28 git Note Added: 0037488
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker